Retrieve a template
GET
/v1/templates/{id}One template with its settings and the blocks of its active published version. activeVersion is null until the template has been published at least once. an unpublished draft is never returned here.
Authentication
Send an organization-scoped API key in the Authorization header. Keep credentials on your server.
templates:readParameters
id
pathrequiredstring · uuidResponses
200 Response schema
application/json
id
string · uuidrequiredname
stringrequiredslug
stringrequiredstatus
stringrequiredAllowed values: "draft", "active", "archived"
visibility
stringrequiredAllowed values: "public", "invite_only", "kiosk_only"
activeVersion
object | nullrequiredupdatedAt
string · date-timerequiredsettings
objectrequiredView complete response schema
HTTP 200 schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"active",
"archived"
]
},
"visibility": {
"type": "string",
"enum": [
"public",
"invite_only",
"kiosk_only"
]
},
"activeVersion": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"
},
"versionNumber": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"blocks": {
"type": "array",
"items": {}
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"versionNumber",
"blocks",
"publishedAt"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"settings": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"id",
"name",
"slug",
"status",
"visibility",
"activeVersion",
"updatedAt",
"settings"
],
"additionalProperties": false
}401 Response schema
application/json
error
objectrequiredView nested fields
code
stringrequiredmessage
stringrequiredrequestId
stringrequireddetails
valueView complete response schema
HTTP 401 schema
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": "string"
},
"details": {}
},
"required": [
"code",
"message",
"requestId"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}403 Response schema
application/json
error
objectrequiredView nested fields
code
stringrequiredmessage
stringrequiredrequestId
stringrequireddetails
valueView complete response schema
HTTP 403 schema
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": "string"
},
"details": {}
},
"required": [
"code",
"message",
"requestId"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}404 Response schema
application/json
error
objectrequiredView nested fields
code
stringrequiredmessage
stringrequiredrequestId
stringrequireddetails
valueView complete response schema
HTTP 404 schema
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": "string"
},
"details": {}
},
"required": [
"code",
"message",
"requestId"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}422 Response schema
application/json
error
objectrequiredView nested fields
code
stringrequiredmessage
stringrequiredrequestId
stringrequireddetails
valueView complete response schema
HTTP 422 schema
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": "string"
},
"details": {}
},
"required": [
"code",
"message",
"requestId"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}429 Response schema
application/json
error
objectrequiredView nested fields
code
stringrequiredmessage
stringrequiredrequestId
stringrequireddetails
valueView complete response schema
HTTP 429 schema
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": "string"
},
"details": {}
},
"required": [
"code",
"message",
"requestId"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}Authentication and validation failures use the shared error envelope. Save the request ID when diagnosing a failed call.
Build the surrounding workflow
Read the templates guide for ordering, verification and recovery. Browse the other templates endpoints when you need the next operation.